org.apache.sling.xss.impl

## Class PlainTextToHtmlContentContext

- java.lang.Object
- - org.apache.sling.xss.impl.PlainTextToHtmlContentContext

All Implemented Interfaces:
  XSSFilterRule

    public class PlainTextToHtmlContentContext
    extends Object
    implements XSSFilterRule

Class that provides the capability of securing input provided as plain text for HTML output.

### Constructor Summary

Constructors
Constructor and Description
`PlainTextToHtmlContentContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `check(PolicyHandler policy, String str)` Check to see if a given string contains policy violations.
`String` `filter(PolicyHandler policy, String str)` Filter a given string to remove any policy violations.
`boolean` `supportsPolicy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlainTextToHtmlContentContext

    public PlainTextToHtmlContentContext()

### Method Detail

#### check

    public boolean check(PolicyHandler policy,
                         String str)

Description copied from interface: `XSSFilterRule`
Check to see if a given string contains policy violations.

Specified by:
  `check` in interface `XSSFilterRule`
Parameters:
  `policy` - the policy handler to use for filtering
  `str` - the input to check
Returns:
  true if the source string is free of policy violations (as defined by policyHandler)
See Also:
  `XSSFilterRule.check(PolicyHandler, String)`

#### filter

    public String filter(PolicyHandler policy,
                         String str)

Description copied from interface: `XSSFilterRule`
Filter a given string to remove any policy violations.

Specified by:
  `filter` in interface `XSSFilterRule`
Parameters:
  `policy` - the policy handler to use for filtering
  `str` - the input to filter
Returns:
  a filtered string which is "safe" (as defined by policyHandler)
See Also:
  `XSSFilterRule.filter(PolicyHandler, java.lang.String)`

#### supportsPolicy

    public boolean supportsPolicy()

Specified by:
  `supportsPolicy` in interface `XSSFilterRule`
See Also:
  `XSSFilterRule.supportsPolicy()`